CANVAS_DRAW_LINE_MARKER(3)

EXPERIMENTAL_FUNC
canvas_draw_line_marker - Draw a line marker.

SYNOPSIS
#include <karma_canvas.h>

void canvas_draw_line_marker

(KWorldCanvas canvas, KPixCanvasRefreshArea *area, double lpos, flag pos_is_vertical)

DESCRIPTION
Draw a line marker.

canvas
    The world canvas to draw to.

area
    State information for undrawing the old marker. This is updated.

lpos
    The linear co-ordinate of the marker.

pos_is_vertical
    If TRUE, the position is a vertical co-ordinate and thus the marker will be horizontal, else the position is a horizontal co-ordinate and the marker will be vertical.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/